// Unlit alpha-blended shader.
// - no lighting
// - no lightmap support
// - no per-material color

Shader "MyLighting/LightDiffuseAlpha" {
Properties {
	_MainTex ("Base (RGB) Trans (A)", 2D) = "white" {}
}

SubShader {
	Tags {"Queue"="Transparent" "IgnoreProjector"="True" "RenderType"="Transparent"}
	LOD 100
	
	ZWrite Off
	Blend SrcAlpha OneMinusSrcAlpha 
	//Blend DstColor SrcColor

	Pass {
		Lighting Off
		//SetTexture [_MainTex] { combine texture } 
		SetTexture [_MainTex] { combine texture DOUBLE }
		
		//SetTexture [_MainTex] {
			//	constantColor [_TintColor]
				//combine constant * primary
		//	}
			//SetTexture [_MainTex] {
				//combine texture * previous DOUBLE
		//	}
	}
}
}
