using UnityEngine;
using System.Collections;

public class CameraController : MonoBehaviour {
	public Transform Following;
	public float CameraHeight = 100;

	// Use this for initialization
	void Start () {
		if (Following != null) {
			this.transform.position = new Vector3( Following.position.x, this.transform.position.y, Following.position.z + CameraHeight );
			Snap();
		}
	}

	void Snap() {
		var pos = this.transform.position;
		pos.x = Mathf.RoundToInt( pos.x ) + 0.5f;
		pos.y = Mathf.RoundToInt( pos.y ) + 0.5f;
		this.transform.position = pos;
	}

	// Update is called once per frame
	void Update () {
	}
	
	void LateUpdate() {
		if (Following != null) {
			this.transform.position = new Vector3( Following.position.x, this.transform.position.y, Following.position.z + CameraHeight );
			Snap();
		}
	}
}
