using UnityEngine;
using System.Collections;

public class Spawner : MonoBehaviour {
	public Transform prefab;
	public float Rate = 1.0f;
	public float Variation = 1.0f;

	float initial = 0.0f;
	
	// Use this for initialization
	void Start () {
		initial = this.transform.position.y;

		Invoke( "Spawn", Rate );
	}

	void Spawn() {
		var pos = this.transform.position;
		pos.y = initial;
		var obj = (Transform)Instantiate( prefab, pos, Quaternion.identity );

		Destroy( obj.gameObject, 10.0f );

		Invoke( "Spawn", Rate + Random.Range( 0.0f, Variation ) );
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
